%global pname simpletest

Name:           php-%{pname}
Version:        1.1.0
Release:        1%{?dist}
Summary:        Unit testing for PHP

License:        LGPLv2
URL:            http://www.simpletest.org/
Source0:        http://downloads.sourceforge.net/project/simpletest/simpletest/simpletest_1.1/simpletest_%{version}.tar.gz

Requires:       php
BuildArch:      noarch

%description
SimpleTest is a framework for unit testing, web site testing and mock objects
for PHP 5.0.5+.

If you have used JUnit, you will find this PHP unit testing version very
similar. Also included is a mock objects and server stubs generator.
The stubs can have return values set for different arguments, can have sequences
set also by arguments and can return items by reference.
The mocks inherit all of this functionality and can also have expectations set,
again in sequences and for different arguments.

A web tester similar in concept to JWebUnit is also included. There is no
JavaScript or tables support, but forms, authentication, cookies and frames are
handled.


%prep
%setup -q -n %{pname}


%build
# Nothing to build


%install
rm -rf $RPM_BUILD_ROOT

# fix permissions
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/php/%{pname}
cp -pr extensions test *.php VERSION $RPM_BUILD_ROOT%{_datadir}/php/%{pname}


%files
%doc docs/*
%doc HELP_MY_TESTS_DONT_WORK_ANYMORE LICENSE README
%{_datadir}/php/%{pname}


%changelog
* Mon Sep 03 2012 Felix Kaechele <heffer@fedoraproject.org> - 1.1.0-1
- initial package
